"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const process = require('process');
const path = require('path');
const fs = require('fs');
const execa = require('execa');
const log_1 = tslib_1.__importDefault(require("../utils/log"));
const themeUtilsConfigTemplate_1 = require("../utils/themeUtilsConfigTemplate");
exports.default = async (args) => {
    if (!args[0]) {
        console.error('Error: No output folder provided');
        process.exit(1);
    }
    const outputPathName = args[0].toLowerCase();
    const integrationThemePath = args[1];
    const configFileName = 'theme-utils.config.js';
    if (fs.existsSync(path.join(process.cwd(), configFileName))) {
        fs.unlinkSync(path.join(process.cwd(), configFileName));
    }
    fs.appendFile(path.join(process.cwd(), configFileName), themeUtilsConfigTemplate_1.vsfTuConfig(outputPathName, integrationThemePath), async (err) => {
        if (err)
            throw err;
        try {
            await execa('vsf-tu');
            fs.unlinkSync('theme-utils.config.js');
            log_1.default.success('Template generated');
        }
        catch (error) {
            console.error(error);
            process.exit(1);
        }
    });
};
//# sourceMappingURL=generate-template.js.map